.input {
    &_set {
        @include flex-parent(row, nowrap, space-between, '', '');
        &:not(:last-child) {
            @include functionMargin(b, '', 1);
        }

        & > * {
            width: 100%;
        }
    }

    &_control {
        width: 100%;
        border: none; /* <-- This thing here */
        border: solid 1px #ccc;
        border-radius: 3px;

        &[type=text], &[type=email], &[type=password] {
            @include functionPadding('', '', 1);
            box-sizing: border-box;
        }

        &:focus {
            border: none; /* <-- This thing here */
        }
    }

    &_alert {
        border: 1px solid $danger-color;
    }

    &_success, &_error {
        list-style-type: none;
        @include functionPadding(x, '', 1);

        border-radius: 5px;

        & li {
            padding: 5px 0;
        }
    }
    &_success {
        background-color: $primary-color;
        border: 1px solid $secondary-color;
    }
    &_error {
        background-color: $red-color;
        border: 1px solid $danger-color;
    }
}
